**`Corey W. Sykes`[NAME]** -NL- **`Senior Data Engineer`[EMPLOYER_ROLE]** | **`757.710.0769`[PHONES_PHONE]** | **`corey@coreysykes.com`[EMAILS_EMAIL]** -NL- **`PROFESSIONAL SUMMARY`[SUMMARY_HEADING]** -NL- I work as a **`Senior Data Engineer`[EMPLOYER_ROLE]** in Cisco’s Digital Marketing – Advanced Analytics organization. My -NL- role entails a few different core items: lead high profile projects from an engineering perspective, -NL- develop best practices and standards for the organization, and manage/mentor junior engineers to -NL- become better developers. I have a dynamic technical and business skillset with a proven track record -NL- of developing profitable solutions through analytics, modeling, and engineering. My core competency -NL- is problem solving with a knack of picking up new technologies and techniques quick. -NL- **`TECHNICAL SKILLS SUMMARY`[SKILLS_HEADING]** -NL-  Extensive experience in: -NL- o Solving vague and complex business questions with the use of big data and data story- -NL- telling to provide actionable insights to the business. -NL- o Designing, architecting, and implementing distributed enterprise-level big data solutions -NL- at scale for a variety of analytics works using both the Hadoop ecosystem with tools such -NL- as (Bash, Hive, Spark, Sqoop, Kafka) and with the Google Cloud Platform suite. -NL- o Software Development Lifecycle Tools like JIRA, Rally, and Git for documentation and -NL- version control. -NL- o Using Tableau, Domo, and open-source JavaScript libraries (d3) to create custom -NL- visualizations and apps. -NL- Python, HTML, CSS, JavaScript, Java, -NL- Development Languages -NL- some R -NL- Hadoop, SQL/Hive, Spark, Kafka, -NL- Big Data Tech -NL- Sqoop, Cassandra, Google Cloud -NL- Platform -NL- Automation / Scripting Tools -NL- Bash, Crontab, Rundeck, Tidal, Airflow -NL- Visualization Tools -NL- Tableau, Domo, JavaScript (d3) -NL- Bayesian Networks, Optimization, -NL- ML / Modeling -NL- Decision Trees, Regression, Attribution, -NL- Forecasting -NL- Teradata, Oracle, MySQL, Cassandra, -NL- Databases -NL- Snowflake -NL- Marketing Tools -NL- Adobe Suite, Google Analytics, Eloqua -NL- **`AWARDS / SPEAKING EVENTS`[OTHERS_HEADING]** -NL- o 2018 ANA Genius Award -NL- o Press release link: Here -NL- o 2017 International Institute for Analytics ANNY Award Winner -NL- o Award given to the team I work on at Cisco for our analytics initiative, which our three KPIs -NL- have yielded 74% increased Engagement YoY, 46% increased Sales Qualified Leads, and -NL- 127% increased Marketing Sourced Bookings -NL-  Press release link: IIA Link -NL- o 4th Annual Bayesia Conference 2017 – Nashville, TN -NL- **`Corey W. Sykes`[NAME]** -NL- **`Senior Data Engineer`[EMPLOYER_ROLE]** | **`757.710.0769`[PHONES_PHONE]** | **`corey@coreysykes.com`[EMAILS_EMAIL]** -NL- o Presented on recent work involving defining a customer engagement KPI at Cisco. Deck -NL- available on personal website (Link to Deck) -NL- **`EDUCATION`[EDUCATION_HEADING]** -NL- **`Virginia Polytechnic Institute & State University`[EDUCATION_INSTITUTE]**, Blacksburg, VA -NL- Fall 2009 – Spring 2013 -NL-  **`Bachelor of Science`[EDUCATION_DEGREE]**, **`Economics`[EDUCATION_COURSE]** -NL- **`PROFESSIONAL EXPERIENCE`[WORK_EXPERIENCE_HEADING]** -NL- **`Senior Data Engineer`[EMPLOYER_ROLE]**, **`Cisco Systems`[EMPLOYER_COMPANY_NAME]**, Research Triangle Park, NC -NL- May -NL- 2019 – Present -NL-  Design, construct, and deploy scalable, production level systems, data pipelines, and ML -NL- models to provide insights at scale for stakeholders. -NL-  Make business recommendations (forecasting, KPI creation, recommendation engines) with -NL- effective presentations offindings at multiple levels of leadership through visual displays of -NL- quantitative information. -NL- **`Data Scientist`[EMPLOYER_ROLE]**, **`Cisco Systems`[EMPLOYER_COMPANY_NAME]**, Research Triangle Park, NC -NL- Oct -NL- 2017 – May 2019 -NL- **`Data Engineer`[EMPLOYER_ROLE]**, **`Cisco Systems`[EMPLOYER_COMPANY_NAME]**, Research Triangle Park, NC -NL- Jan -NL- 2017 – Oct 2017 -NL- **`Consultant`[EMPLOYER_ROLE]**, **`Cisco Systems`[EMPLOYER_COMPANY_NAME]**, Research Triangle Park, NC -NL- Apr -NL- 2015 – Jan 2017 -NL- RECENT PROJECTS -NL-  **`Cisco’s Virtual Demand Center – Automated Lead Scoring & Routing`[PROJECT_TITLE]** -NL-  Uses Bash, SQL, Spark, Python, Java, and Sqoop in a near real-time process that pulls -NL- leads from Salesforce into Hadoop, appends features, scores them in the model, and then -NL- uses an in-built capacity management system to route the best leads to the agents at our -NL- call centers, while nurturing the rest through Eloqua journeys. -NL-  Over a 50% conversion rate across 50,000 leads so far since release, which is much higher -NL- than industry standard. -NL-  **`Advanced Analytics API & Data Catalog`[PROJECT_TITLE]** -NL-  Developed a production-level tool with the use of Flask in Python, Snowflake’s API, and -NL- front-end HTML5/CSS/JavaScript to build out a data catalog and API for all of Cisco’s -NL- production-level data sets. -NL-  Allows the user to search for data/see metadata & samples in the UI or directly use it as an -NL- API endpoint to fetch data for production applications. -NL-  **`Automated Project Builder`[PROJECT_TITLE]** -NL-  Developed a production-level code generation tool that can turn any set of scripts into an -NL- automated pipeline or project build. Built entirely in Bash and contains similar features to -NL- Airflow. -NL- **`Corey W. Sykes`[NAME]** -NL- **`Senior Data Engineer`[EMPLOYER_ROLE]** | **`757.710.0769`[PHONES_PHONE]** | **`corey@coreysykes.com`[EMAILS_EMAIL]** -NL-  Any user can justfill a simple template out (name of project, email list, when to run the -NL- job, etc.) and then drop their sourcefiles in and it will automatically build the project, -NL- including deploying the automation to Rundeck. -NL-  This saves an estimated 40 hours per developer per small project and allows us to get from -NL- development to production in a matter of minutes. -NL-  **`Defining Customer Engagement and Content Performance on Cisco.com`[PROJECT_TITLE]** -NL-  Developed a customer engagement and content performance model by doing deep -NL- exploratory data analysis on content across Cisco.com domains, using random forest -NL- modeling tofind important factors that are indicative of engagement to content and -NL- Bayesian networks to calculate metric weightings. -NL-  Led architecture design, development, and implementation of the KPI, which is used for -NL- downstream reporting by all 1,500 Marketing employees. It crunches 1M user session’s -NL- daily in near-real time for stakeholders. -NL-  **`Scalable Customer Journey Mapping through State Machines`[PROJECT_TITLE]** -NL-  Designed and implemented a distributed production system for identifying where every -NL- customer Cisco lies in their customer journey. Created a fully functional application used for -NL- understanding exactly where each of Cisco’s current 300M+ cookie base currently sits in -NL- their individual purchase journey. Used by CMO and down. -NL-  Leverages Spark/Hive for data processing, 50+ ML models for input factors, and a custom -NL- d3 visualization web app, built with HTML, CSS, JavaScript, PHP, Python, and MySQL to -NL- allow dynamic research of accounts by both Marketing and Sales. Available to showcase -NL- upon request. -NL- 